com.streambase.liveview.client

## Class LiveViewException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.streambase.sb.StreamBaseException
      - - com.streambase.liveview.client.LiveViewException

- All Implemented Interfaces:
    LocatedItem, Serializable
  Direct Known Subclasses:
    LiveViewConnectionCanceledException, LiveViewQuerySyntaxException

      public class LiveViewException
      extends StreamBaseException

  An exception thrown by the LiveView Server
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveViewException(int code, String msg)`
    `LiveViewException(LiveViewExceptionType type, Object[] params)`
    `LiveViewException(LiveViewExceptionType type, Throwable cause, Object... params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()` Error code provided by the server
    `LiveViewExceptionType` | `getErrorType()`

    - ### Methods inherited from class com.streambase.sb.StreamBaseException

      `asXmlStringSingle, asXmlStringStrict, asXmlStringStrict, equals, getParams, hashCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.sb.util.LocatedItem

      `getLocation`

- - ### Constructor Detail

    - #### LiveViewException

          public LiveViewException(LiveViewExceptionType type,
                                   Object[] params)

    - #### LiveViewException

          public LiveViewException(LiveViewExceptionType type,
                                   Throwable cause,
                                   Object... params)

    - #### LiveViewException

          public LiveViewException(int code,
                                   String msg)

  - ### Method Detail

    - #### getErrorCode

          public final int getErrorCode()

      Error code provided by the server
      Returns:
        error code

    - #### getErrorType

          public final LiveViewExceptionType getErrorType()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.